Skip to main content
GET
/
api
/
reports
/
progress_reward
/
{compensation_id}
/
detailed
Detailed progress reward report.
curl --request GET \
  --url https://my.exnessaffiliates.com/api/reports/progress_reward/{compensation_id}/detailed/
{
  "data": [
    {
      "id": "int",
      "client_account": "string",
      "reward_date": "datetime",
      "account_type": "string",
      "order_id": "int",
      "progress_reward_amount_usd": "number",
      "initial_reward_usd": "number",
      "initial_reward_size": "number",
      "old_reward_size": "number",
      "new_reward_size": "number"
    }
  ],
  "totals": {
    "count": "int",
    "progress_reward_amount_usd": "number",
    "progress_reward_period_start": "datetime",
    "progress_reward_period_end": "datetime"
  }
}

Documentation Index

Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

compensation_id
string
required

Query Parameters

limit
integer

pagination

offset
integer

pagination

ordering
string

ordering, Comma-separated list without spaces. Supported field names: progress_reward_amount_usd, reward_date

Response

OK

data
object[]
required
Example:
[
{
"id": "int",
"client_account": "string",
"reward_date": "datetime",
"account_type": "string",
"order_id": "int",
"progress_reward_amount_usd": "number",
"initial_reward_usd": "number",
"initial_reward_size": "number",
"old_reward_size": "number",
"new_reward_size": "number"
}
]
totals
object
required